# Type Alias ExtractOpts

type ExtractOpts = {
entryPages?: AbstractPage[];
pageFilterIds?: Set<number>;
showPages: boolean;
showTables: boolean;
showTrigger: boolean;
showViews: boolean;
tableFilterIds?: Set<number>;
triggerFilterIds?: Set<number>;
viewFilterIds?: Set<number>;
}

- Defined in packages/saltcorn-data/diagram/node_extract_utils.ts:38

##### Index

### Properties

entryPages?
pageFilterIds?
showPages
showTables
showTrigger
showViews
tableFilterIds?
triggerFilterIds?
viewFilterIds?

## Properties

### `Optional` entryPages

entryPages?: AbstractPage[]

- Defined in packages/saltcorn-data/diagram/node_extract_utils.ts:39

### `Optional` pageFilterIds

pageFilterIds?: Set<number>

- Defined in packages/saltcorn-data/diagram/node_extract_utils.ts:43

### showPages

showPages: boolean

- Defined in packages/saltcorn-data/diagram/node_extract_utils.ts:42

### showTables

showTables: boolean

- Defined in packages/saltcorn-data/diagram/node_extract_utils.ts:44

### showTrigger

showTrigger: boolean

- Defined in packages/saltcorn-data/diagram/node_extract_utils.ts:46

### showViews

showViews: boolean

- Defined in packages/saltcorn-data/diagram/node_extract_utils.ts:40

### `Optional` tableFilterIds

tableFilterIds?: Set<number>

- Defined in packages/saltcorn-data/diagram/node_extract_utils.ts:45

### `Optional` triggerFilterIds

triggerFilterIds?: Set<number>

- Defined in packages/saltcorn-data/diagram/node_extract_utils.ts:47

### `Optional` viewFilterIds

viewFilterIds?: Set<number>

- Defined in packages/saltcorn-data/diagram/node_extract_utils.ts:41